Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Interface IOPortCapable

All Superinterfaces:
  HardwareComponent, Hibernatable

All Known Implementing Classes:
  DMAController, IOPortHandler, SystemBIOS, VGABIOS

    public interface IOPortCapable

extends HardwareComponent

Author:
  Bram Lohman, Bart Kiers

Method Summary
`int` | `ioPortReadByte(int address)`
`int` | `ioPortReadLong(int address)`
`int` | `ioPortReadWord(int address)`
`int[]` | `ioPortsRequested()`
`void` | `ioPortWriteByte(int address, int data)`
`void` | `ioPortWriteLong(int address, int data)`
`void` | `ioPortWriteWord(int address, int data)`

Methods inherited from interface dioscuri.module.cpu32.HardwareComponent
`acceptComponent, dumpState, initialised, loadState, reset, timerCallback, updateComponent, updated`

Method Detail

### ioPortWriteByte

    void ioPortWriteByte(int address,
                         int data)
                         throws ModuleException

  Parameters:
    `address` -
    `data` -
  Throws:
    `ModuleException`

### ioPortWriteWord

    void ioPortWriteWord(int address,
                         int data)
                         throws ModuleException

  Parameters:
    `address` -
    `data` -
  Throws:
    `ModuleException`

### ioPortWriteLong

    void ioPortWriteLong(int address,
                         int data)
                         throws ModuleException

  Parameters:
    `address` -
    `data` -
  Throws:
    `ModuleException`

### ioPortReadByte

    int ioPortReadByte(int address)
                       throws ModuleException

  Parameters:
    `address` -
  Returns:
    -
  Throws:
    `ModuleException`

### ioPortReadWord

    int ioPortReadWord(int address)
                       throws ModuleException

  Parameters:
    `address` -
  Returns:
    -
  Throws:
    `ModuleException`

### ioPortReadLong

    int ioPortReadLong(int address)
                       throws ModuleException

  Parameters:
    `address` -
  Returns:
    -
  Throws:
    `ModuleException`

### ioPortsRequested

    int[] ioPortsRequested()

  Returns:
    -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD